import 'package:lazyxchacha/keypair.dart' as kp;

class KeyPairSingleton {
  static final KeyPairSingleton _instance = KeyPairSingleton._internal();
  late kp.KeyPair _keyPair;

  factory KeyPairSingleton() {
    return _instance;
  }

  KeyPairSingleton._internal() {
    // Initialize the KeyPair instance here
    _keyPair = kp.KeyPair();
  }

  kp.KeyPair get keyPair => _keyPair;
}
